Vulnerabilitatea de hijack a traficului internet pe Linux afecteaza si 1.4 miliarde de aparate Android!

0

internethijack

Cam 80% dintre aparatele Android (tablete și telefoane) cu versiunea 4.4 KitKat sau mai nouă, sunt afectate de vulnerabilitatea Linux, recent descoperită în kernel, care permite ca traficul TCP să fie interceptat, terminat, modificat cu injectarea de cod periculos sau doar monitorizat. Chiar și Android 7 Nougat e vulnerabil în acest moment.

Dacă sunteți utilizator de Android probabil că deja nu vă mai sperie nimic – aproape săptămânal citiți despre o nouă problemă de securitate, de importanță mai mare sau mai mică, pe care Google sau producătorul hardware-ului pe care îl folosiți nu o va remedia curând.

Vulnerabilitatea în cauză apare în modul în care este implementat protocolul de comunicație TCP pe toate aparatele ce folosesc kernel-ul Linux (sau o implementare a lui) de la 3.6 încoace. Dacă pe Linux problema a fost rezolvată deja din 11 iulie, CVE-2016-5696 e acum o mare problemă în exosistemul Android. Conform datelor oferite de Lookout în postarea de ieri, cam 1.4 miliarde de aparate Android sunt expuse.

Printr-un atact man-in-the-middle pe aparatele vulnerabile, hackerii pot să spioneze comunicația și chiar să introducă cod periculos fără ca utilizatorul să știe. Procedeul nu e chiar simplu, însă în cazul unor atacuri țintite rata de succes poate să fie maximă.

La polul opus, aparatele Windows și Mac nu sunt expuse (ca să vezi!). Google știe de problemă și lucrează să o remedieze – șanse ca Nexus-urile și alte câteva aparate flagship să îl primească în curând fiind mari.

Ce se poate face pentru protecție? Să se folosească doar traficul criptat HTTPS sau via VPN.

LĂSAȚI UN MESAJ

Please enter your comment!
Please enter your name here

*